Package twisted :: Package python :: Module runtime :: Class Platform

[frames | no frames]

## Class Platform

Gives us information about the platform we're running on

Method Summary
| `__init__(self, name)`
| ``getType`(self)` Return 'posix', 'win32' or 'java'
| ``isKnown`(self)` Do we know about this platform?
| ``isMacOSX`(self)` Return if we are runnng on Mac OS X.
| ``isWinNT`(self)` Are we running in Windows NT?
floating point number | ``seconds`()` Return the current time in seconds since the Epoch. (Static method)

Class Variable Summary
`str` | `type` = `'posix'`

Instance Method Details

### getType(self)

Return 'posix', 'win32' or 'java'

### isKnown(self)

Do we know about this platform?

### isMacOSX(self)

Return if we are runnng on Mac OS X.

### isWinNT(self)

Are we running in Windows NT?

Static Method Details

### seconds()

Return the current time in seconds since the Epoch. Fractions of a second may be present if the system clock provides them.

  Returns:
    floating point number

Class Variable Details

### type

  Type:
    `str`
  Value:

        'posix'

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net